- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_File Struct Reference

## Data Fields
| EINA_MAGIC
const char * | filename
Eina_Hash * | map
Eina_Hash * | rmap
void * | global_map
Eina_Lock | lock
unsigned long long | length
time_t | mtime
ino_t | inode
int | refcount
int | global_refcount
int | fd
Eina_List * | dead_map
Eina_Bool | shared: 1
Eina_Bool | delete_me: 1
Eina_Bool | global_faulty: 1
virtual | Eina_Bool: 1